'Utworzenie własnego typu wyjątku o nazwie CustomVBException. Jest to wyjątek
' dzięki dziedziczeniu z System.ApplicationException.
Public Class MyException
    Inherits System.ApplicationException

    'Zdefiniowanie trzech standardowych konstruktorów dla ApplicationException
    Public Sub New()
        MyBase.New()
    End Sub

    Public Sub New(ByVal Message As String)
        MyBase.New(Message)
    End Sub

    Public Sub New(ByVal Message As String, ByVal Inner As Exception)
        MyBase.New(Message, Inner)
    End Sub

End Class
